CONTENTS OF THIS FILE
---------------------

  * Introduction
  * Requirements
  * Installation
  * Configuration
  * Troubleshooting
  * Maintainers


Introduction
------------
An Image Formatter for Focal Point crops integrating with jquery-focuspoint plugin for
displays. Set expected image render height (per view mode) and let the image shift to
maintain chosen focal point view-ability.

- HTML output uses figure tag. Does use Twig template, override as you need!
- If image field 'title' it is rendered as figcaption
- Image field 'alt' text is supported
- 'mute title' and 'first-only' display options

Requirements
------------

1. Drupal!
2. (Crop)[https://www.drupal.org/project/crop]
3. (Focal Point)[https://www.drupal.org/project/focal_point]
4. (jquery.focuspoint.min.js)[https://github.com/jonom/jquery-focuspoint]  Install at {DOCROOT}/libraries/jquery-focuspoint


Installation
------------

Manually:
1. install into /modules.
2. refer to Requirements (above) to install required Javascript plugins.
3. enable module.
4. setup Image field as you need. see 'Configuation' below!

Composer:
1. composer require drupal/focal_point_focus
2. move/copy JS Plugin from /vendor into correct /libraries location.
3. setup Image field as you need. see 'Configuation' below!


Configuration
-------------

Configure View modes as needed for image fields using Focal Point.
KEYNOTES:
- The Field Widget 'Form Display' should be expected to use the 'crop thumbnail' Preview
Image Style.  Others will probably will not work well with the reposition math.
- 'Manage Display' Viewmode needs to have the expected Display Height set. this is key
to working with responsive widths in the region of where the content will be rendered.



Troubleshooting
------------

Make sure the jQuery plugin is installed properly installed in site /libraries folder.


Maintainers
------------

  [skaught](https://www.drupal.org/user/297907)
